From: [email-masked]
Date: 27 Feb 86 10:58:48 EST

Hi, Jack
I am sending separately a file that briefly explains
what is in the Lanczos codes.  If this is not suitable
please tell me what is wrong with it and I will modify
it.  Ralph does not remember what he sent you
before but he thinks that he only sent the real
symmetric Lanczos codes.  Today he is sending
the Hermitian codes and the singular value/vector
codes for real rectangular matrices.  The file
I am sending has comments on these three sets
of codes and also tells the reader that
other codes are available from the authors.
Sample input and exec files are also included.

For each type of matrix, there are two main programs.
One of these does the eigenvalue computations, the other
one does the eigenvector computations.
For example in the real symmetric case, we have
LEVAL for the eigenvalue computations and
LEVEC for the eigenvector computations.
These are currently set up as main programs.
For each class of matrix there are two files of
needed subroutines.  For LEVAL and LEVEC these
files are called LEMULT and LESUB.  LEMULT contains
the main Lanczos matrix generation subroutine
and sample matrix-specification and matrix-vector
multiply subroutines (for the inverse version and
the generalized versions which we are not sending
these would slso include matrix-solve subroutines)
LESUB contains the other subroutines needed by the
real symmetric problems.  It is actually used by
the real symmetric codes, the Hermitian codes,
the factored inverse codes, and the generalized
real symmetric codes.  There are similar sets of
codes for the singular value computations, LSVAL,
LSVEC, LSSUB, and LSMULT.  I think it would
be too confusing to break these files down any
further, although it is true that most
of these subroutines could be used for other
computations than just these particular Lanczos
computations.  Thus, I have just made comments about these
files and not much about the subroutines in each.
Detailed documentation for the real symmetric
and Hermitian codes is contained in the file
LEVALHED which Ralph sent earlier.  I hope you got
that, that is a very long file.  Detailed documentation
for the singular value and vector codes is contained
in the corresponding file LSVALHED which Ralph is
sending today.

Again please let me know if the file margonne memo
which I am sending separately is not suitable.
Thanks very much.   Jane